/* panorama layout */
.panorama, .panorama-view {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.panorama, .panorama-container {
  position: relative;
}

.panorama-container img {
  height: 100%;
  position: absolute;
  top: 0;
}

.panorama .info, .panorama-view .area {
  position: absolute;
  display: block;
}

.panorama .info {
  right: 10px;
  bottom: 10px;
}

.panorama .controls {
  position: absolute;
  left: 10px;
  bottom: 10px;
}

.panorama .controls a {
  display: block;
  float: left;
  margin-right: 5px;
}

.panorama .preloader {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* panorama style */
.panorama-view {
  cursor: url(images/panorama.cur),default;
}

.panorama-view.grab {
  cursor: url(images/panorama.cur),default;
}

.panorama .info, .panorama .controls a {
  opacity: 0.6;
  filter: alpha(opacity=60);
  background-color: #000;
  color: #fff;
  font: bold 11px/14px Arial, sans-serif;
  text-decoration: none;
  padding: 6px 7px;
  cursor: pointer;
  -webkit-transition: all .25s linear;
  -moz-transition: all .25s linear;
  -o-transition: all .25s linear;
  -ms-transition: all .25s linear;
  transition: all .25s linear;
}

.panorama .info:hover, .panorama .controls a:hover {
  opacity: 0.8;
  filter: alpha(opacity=80);
}

.panorama-view .area {
  opacity: 0.25;
  filter: alpha(opacity=25);
  background-color: #000;
  cursor: pointer;
  overflow: hidden;
  text-indent: -9999px;
}

.panorama-view .area:hover {
  opacity: 0.5;
  filter: alpha(opacity=50);
}

.panorama-view img {
  -o-user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.panorama .info, .panorama-view .area, .panorama .controls a {
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  border-radius: 5px;
}

.panorama .preloader {
  background: url(images/panorama_loader.gif) no-repeat center center;
}

.panorama .controls a.prev span, .panorama .controls a.stop span, .panorama .controls a.next span {
  display: block;
  text-indent: -999px;
  overflow: hidden;
  background: url(images/panorama_controls.png) no-repeat -999px 0;
}

.panorama .controls a.prev span, .panorama .controls a.next span {
  width: 10px;
  height: 14px;
}

.panorama .controls a.prev span {
  background-position: 0 0;
}

.panorama .controls a.next span {
  background-position: -11px 0;
}

.panorama .controls a.stop span {
  margin: 2px 1px;
  width: 10px;
  height: 10px;
  background-position: -22px -2px;
}

/* retina display graphics */
@media only screen and (min-width: 480px) and (-webkit-min-device-pixel-ratio: 1.5), only screen and (min--moz-device-pixel-ratio: 1.5), only screen and (min-device-pixel-ratio: 1.5) {
  .panorama .controls a.prev span, .panorama .controls a.stop span, .panorama .controls a.next span {
    background-image: url(images/panorama_controls@2x.png);
    -webkit-background-size: 32px 14px;
    background-size: 32px 14px;
  }
}
